---
layout: handbook-page-toc
title: "Verify:Continuous Integration Group"
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## Vision

For an understanding of what this team is going to be working on take a look at [the product
vision](/direction/verify/).

## Mission

The Verify:Continuous Integration Group is focused on all the functionality with respect to
Continuous Integration.

This team maps to [Verify](/handbook/product/categories/#verify-stage) devops stage.

## Team Members

The following people are permanent members of the Verify:Continuous Integration group:

<%= direct_team(manager_role: 'Engineering Manager, Verify:Continuous Integration') %>

## Stable Counterparts

The following members of other functional teams are our stable counterparts:

<%= stable_counterparts(role_regexp: /[,&] Verify/, direct_manager_role: 'Engineering Manager, Verify:Continuous Integration', other_manager_roles: ['Frontend Engineering Manager, Verify', 'Engineering Manager, Verify:Testing', 'Engineering Manager, Verify:Runner']) %>

## Technologies

Like most GitLab backened teams we spend a lot of time working in Rails on the main [GitLab CE app](https://gitlab.com/gitlab-org/gitlab-ce), but we also do a lot of work in Go which is the language that [GitLab Runner](https://gitlab.com/gitlab-org/gitlab-runner) is written in. Familiarity with Docker and Kubernetes is also useful on our team.

## Common Links

 * [Issue Tracker](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=Verify)
 * [Slack Channel](https://gitlab.slack.com/archives/g_ci)
 * [Roadmap]()

## How to work with us

### On issues

Issues worked on by the Continuous Integration group a group label of ~"group::continuous integration". Issues that contribute to the verify stage of the devops toolchain have the ~"devops::verify" label.

